/**
 * The reachability agents root package which contains common configuration, services and tools, the worker threads and 
 * its main start classes.<br><br>
 * 
 * This package contains all main class files, including the {@link de.hawhamburg.reachability.ReachabilityAgent} and 
 * it's worker thread ({@link de.hawhamburg.reachability.ReachabilityWorker}), the 
 * {@link de.hawhamburg.reachability.StopableObject} interface which grants an controlled and complete shut down of the 
 * whole system and the main project description.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
package de.hawhamburg.reachability;
